diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
index 935cc84c..9f43b34e 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/static/js/fts_configuration.js
@@ -197,12 +197,12 @@ define('pgadmin.node.fts_configuration', [
           '<div class="subnode-header-form">',
           ' <div class="container-fluid">',
           '  <div class="row">',
-          '   <div class="col-xs-3">',
+          '   <div class="col-3">',
           '    <label class="control-label"><%-token_label%></label>',
           '   </div>',
-          '   <div class="col-xs-6" header="token"></div>',
-          '   <div class="col-xs-2">',
-          '     <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
+          '   <div class="col-6" header="token"></div>',
+          '   <div class="col-2">',
+          '     <button class="btn btn-sm-sq btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
           '   </div>',
           '  </div>',
           ' </div>',
@@ -257,7 +257,7 @@ define('pgadmin.node.fts_configuration', [
         var self = this,
           titleTmpl = _.template('<div class=\'subnode-header\'></div>'),
           $gridBody = $('<div></div>', {
-            class:'pgadmin-control-group backgrid form-group col-xs-12 object subnode',
+            class:'pgadmin-control-group backgrid form-group col-12 object subnode',
           }).append(
                titleTmpl({label: data.label})
           );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
index 43f9cfda..d616f0cc 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/static/js/schema.js
@@ -64,7 +64,7 @@ define('pgadmin.node.schema', [
             '<div class="subnode-header">',
             '  <label class="control-label col-sm-4"><%-label%></label>',
             '</div>'].join('\n')),
-          gridBody = $('<div class="pgadmin-control-group backgrid form-group col-xs-12 object subnode"></div>').append(
+          gridBody = $('<div class="pgadmin-control-group backgrid form-group col-12 object subnode"></div>').append(
               gridHeader(attributes)
               );
 
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
index 1befc999..b8b46a63 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
@@ -391,12 +391,12 @@ define('pgadmin.node.exclusion_constraint', [
           '<div class="subnode-header-form">',
           ' <div class="container-fluid">',
           '  <div class="row">',
-          '   <div class="col-xs-4">',
+          '   <div class="col-4">',
           '    <label class="control-label"><%-column_label%></label>',
           '   </div>',
-          '   <div class="col-xs-4" header="column"></div>',
-          '   <div class="col-xs-4">',
-          '     <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
+          '   <div class="col-4" header="column"></div>',
+          '   <div class="col-4">',
+          '     <button class="btn btn-sm-sq btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
           '   </div>',
           '  </div>',
           ' </div>',
@@ -443,7 +443,7 @@ define('pgadmin.node.exclusion_constraint', [
         var self = this,
           titleTmpl = _.template('<div class=\'subnode-header\'></div>'),
           $gridBody =
-          $('<div class=\'pgadmin-control-group backgrid form-group col-xs-12 object subnode\'></div>').append(
+          $('<div class=\'pgadmin-control-group backgrid form-group col-12 object subnode\'></div>').append(
             // Append titleTmpl only if create/edit mode
             data.mode !== 'properties' ? titleTmpl({label: data.label}) : ''
           );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
index e3dd9dcb..efbabc22 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
@@ -309,7 +309,7 @@ define('pgadmin.node.foreign_key', [
           '   </div>',
           '   <div class="col-md-6" header="local_column"></div>',
           '   <div class="col-md-2">',
-          '     <button class="btn-sm btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
+          '     <button class="btn btn-sm-sq btn-default add fa fa-plus" <%=canAdd ? "" : "disabled=\'disabled\'"%> ></button>',
           '   </div>',
           '  </div>',
           '  <div class="row">',
@@ -374,7 +374,7 @@ define('pgadmin.node.foreign_key', [
             '<label class=\'control-label\'><%-label%></label>',
             '</div>'].join('\n')),
           $gridBody =
-          $('<div class=\'pgadmin-control-group backgrid form-group col-xs-12 object subnode\'></div>').append(
+          $('<div class=\'pgadmin-control-group backgrid form-group col-12 object subnode\'></div>').append(
             // Append titleTmpl only if create/edit mode
             data.mode !== 'properties' ? titleTmpl({label: data.label}) : ''
           );
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
index 95dcc968..bf0bb8dd 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/triggers/static/js/trigger.js
@@ -25,7 +25,7 @@ define('pgadmin.node.trigger', [
       '  <span class="<%=Backform.helpMessageClassName%>"><%=helpMessage%></span>',
       '<% } %>',
     ].join('\n')),
-    className: 'pgadmin-control-group form-group col-xs-6',
+    className: 'pgadmin-control-group form-group col-6',
   });
 
   if (!pgBrowser.Nodes['coll-trigger']) {
diff --git a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/static/js/pga_schedule.js b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/static/js/pga_schedule.js
index 1cfa38c9..a8884edc 100644
--- a/web/pgadmin/browser/server_groups/servers/pgagent/schedules/static/js/pga_schedule.js
+++ b/web/pgadmin/browser/server_groups/servers/pgagent/schedules/static/js/pga_schedule.js
@@ -343,7 +343,7 @@ define('pgadmin.node.pga_schedule', [
               );
 
               this.$el.prepend(
-                '<div class="set-group pg-el-xs-12 ' +
+                '<div class="set-group c ' +
                   Backform.helpMessageClassName + '">' +
                   gettext('Schedules are specified using a <b>cron-style</b> format.<br/><ul><li>For each selected time or date element, the schedule will execute.<br/>e.g. To execute at 5 minutes past every hour, simply select ‘05’ in the Minutes list box.<br/></li><li>Values from more than one field may be specified in order to further control the schedule.<br/>e.g. To execute at 12:05 and 14:05 every Monday and Thursday, you would click minute 05, hours 12 and 14, and weekdays Monday and Thursday.</li><li>For additional flexibility, the Month Days check list includes an extra Last Day option. This matches the last day of the month, whether it happens to be the 28th, 29th, 30th or 31st.</li></ul>') +
                   '</div>'
diff --git a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
index 55fd4fe1..09f0f4e2 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
+++ b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
@@ -66,8 +66,8 @@ define('pgadmin.node.role', [
 
   var RoleCustomSwitchControl = Backform.SwitchControl.extend({
     template: _.template([
-      '<label class="control-label pg-el-sm-9 pg-el-xs-12"><%=label%></label>',
-      '<div class="pgadmin-controls pg-el-sm-3 pg-el-xs-12">',
+      '<label class="control-label"><%=label%></label>',
+      '<div class="pgadmin-controls">',
       '  <div class="checkbox" style="float:right">',
       '    <label>',
       '      <input type="checkbox" class="<%=extraClasses.join(\' \')%>" name="<%=name%>" <%=value ? "checked=\'checked\'" : ""%> <%=disabled ? "disabled" : ""%> <%=required ? "required" : ""%> />',
@@ -82,7 +82,7 @@ define('pgadmin.node.role', [
 
   var RoleMembersControl = Backform.Control.extend({
     defaults: _.defaults(
-      {extraClasses: ['col-xs-12 col-sm-12 col-md-12']},
+      {extraClasses: ['col-12 col-sm-12 col-md-12']},
       Backform.NodeListByNameControl.prototype.defaults
     ),
     initialize: function() {
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/variable.js b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
index 7a365cba..ab128a0c 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/variable.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/variable.js
@@ -328,10 +328,10 @@ define([
             titleTmpl = _.template([
               '<div class=\'subnode-header\'>',
               '<label class=\'control-label\'><%-label%></label>',
-              '<button class=\'btn-sm btn-default add fa fa-plus\' title=\'' + _('Add new row') + '\' <%=canAdd ? \'\' : \'disabled="disabled"\'%>></button>',
+              '<button class=\'btn btn-sm-sq btn-default add fa fa-plus\' title=\'' + _('Add new row') + '\' <%=canAdd ? \'\' : \'disabled="disabled"\'%>></button>',
               '</div>'].join('\n')),
             $gridBody =
-            $('<div class=\'pgadmin-control-group backgrid form-group col-xs-12 object subnode\'></div>').append(
+            $('<div class=\'pgadmin-control-group backgrid form-group col-12 object subnode\'></div>').append(
               titleTmpl(data)
             );
 
diff --git a/web/pgadmin/browser/static/js/browser.js b/web/pgadmin/browser/static/js/browser.js
index f1fd3b2a..b1e95adb 100644
--- a/web/pgadmin/browser/static/js/browser.js
+++ b/web/pgadmin/browser/static/js/browser.js
@@ -146,7 +146,7 @@ define('pgadmin.browser', [
         width: 500,
         isCloseable: false,
         isPrivate: true,
-        content: '<div><div class="alert alert-info pg-panel-message pg-panel-statistics-message">' + select_object_msg + '</div><div class="pg-panel-statistics-container hidden"></div></div>',
+        content: '<div><div class="alert alert-info pg-panel-message pg-panel-statistics-message">' + select_object_msg + '</div><div class="pg-panel-statistics-container d-none"></div></div>',
         events: panelEvents,
       }),
       // Reversed engineered SQL for the object
@@ -167,7 +167,7 @@ define('pgadmin.browser', [
         width: 500,
         isCloseable: false,
         isPrivate: true,
-        content: '<div><div class="alert alert-info pg-panel-message pg-panel-depends-message">' + select_object_msg + '</div><div class="pg-panel-depends-container hidden"></div></div>',
+        content: '<div><div class="alert alert-info pg-panel-message pg-panel-depends-message">' + select_object_msg + '</div><div class="pg-panel-depends-container d-none"></div></div>',
         events: panelEvents,
       }),
       // Dependents of the object
@@ -178,7 +178,7 @@ define('pgadmin.browser', [
         width: 500,
         isCloseable: false,
         isPrivate: true,
-        content: '<div><div class="alert alert-info pg-panel-message pg-panel-depends-message">' + select_object_msg + '</div><div class="pg-panel-depends-container hidden"></div></div>',
+        content: '<div><div class="alert alert-info pg-panel-message pg-panel-depends-message">' + select_object_msg + '</div><div class="pg-panel-depends-container d-none"></div></div>',
         events: panelEvents,
       }),
     },
@@ -279,7 +279,7 @@ define('pgadmin.browser', [
         // menu navigation bar
         navbar = $('#navbar-menu > ul').first(),
         // Drop down menu for objects
-        $obj_mnu = navbar.find('li#mnu_obj > ul.dropdown-menu').first(),
+        $obj_mnu = navbar.find('li#mnu_obj .dropdown-menu').first(),
         // data for current selected object
         d = obj.tree.itemData(item),
         update_menuitem = function(m) {
@@ -320,7 +320,7 @@ define('pgadmin.browser', [
         // Create a dummy 'no object seleted' menu
         var create_submenu = pgAdmin.Browser.MenuGroup(
           obj.menu_categories['create'], [{
-            $el: $('<li class="menu-item disabled"><a href="#">' + gettext('No object selected') + '</a></li>'),
+            $el: $('<li><a class="dropdown-item text-white disabled" href="#">' + gettext('No object selected') + '</a></li>'),
             priority: 1,
             category: 'create',
             update: function() {},
@@ -611,11 +611,11 @@ define('pgadmin.browser', [
           if (pgAdmin.Browser.MenuCreator(
             $dropdown, obj.menus[o.menu], obj.menu_categories
           )) {
-            $mnu.removeClass('hide');
+            $mnu.removeClass('d-none');
           }
         });
 
-      navbar.children('#mnu_obj').removeClass('hide');
+      navbar.children('#mnu_obj').removeClass('d-none');
       obj.enable_disable_menus();
     },
     // General function to handle callbacks for object or dialog help.
diff --git a/web/pgadmin/browser/static/js/collection.js b/web/pgadmin/browser/static/js/collection.js
index 67e44214..4cf33da3 100644
--- a/web/pgadmin/browser/static/js/collection.js
+++ b/web/pgadmin/browser/static/js/collection.js
@@ -59,7 +59,7 @@ define([
           j = panel.$container.find('.obj_properties').first(),
           view = j.data('obj-view'),
           content = $('<div></div>')
-          .addClass('pg-prop-content col-xs-12'),
+          .addClass('pg-prop-content col-12'),
           node = pgBrowser.Nodes[that.node],
           // This will be the URL, used for object manipulation.
           urlBase = this.generate_url(item, 'properties', data),
diff --git a/web/pgadmin/browser/static/js/error.js b/web/pgadmin/browser/static/js/error.js
index 31b7444a..347d040e 100644
--- a/web/pgadmin/browser/static/js/error.js
+++ b/web/pgadmin/browser/static/js/error.js
@@ -13,7 +13,7 @@ function(gettext, _, alertify, pgAdmin) {
            ' + gettext('Error message') + '</a>\
         </h4>\
         </div>\
-        <div id="collapseOne" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingOne">\
+        <div id="collapseOne" class="panel-collapse collapse show" role="tabpanel" aria-labelledby="headingOne">\
         <div class="panel-body" style="overflow: auto;">' + unescape(message) + '</div>\
         </div>\
         </div>';
diff --git a/web/pgadmin/browser/static/js/keyboard.js b/web/pgadmin/browser/static/js/keyboard.js
index 371faa5d..dc12659d 100644
--- a/web/pgadmin/browser/static/js/keyboard.js
+++ b/web/pgadmin/browser/static/js/keyboard.js
@@ -4,6 +4,7 @@ import $ from 'jquery';
 import Mousetrap from 'mousetrap';
 import * as commonUtils from '../../../static/js/utils';
 import dialogTabNavigator from '../../../static/js/dialog_tab_navigator';
+import {default as keyboardFunc} from 'sources/keyboard_shortcuts';
 
 const pgBrowser = pgAdmin.Browser = pgAdmin.Browser || {};
 
@@ -37,9 +38,7 @@ _.extend(pgBrowser.keyboardNavigation, {
             this.keyboardShortcut.help_shortcut],
         }, // Main menu
         'bindRightPanel': {'shortcuts': [this.keyboardShortcut.tabbed_panel_backward, this.keyboardShortcut.tabbed_panel_forward]}, // Main window panels
-        'bindMainMenuLeft': {'shortcuts': 'left', 'bindElem': '.pg-navbar'}, // Main menu
-        'bindMainMenuRight': {'shortcuts': 'right', 'bindElem': '.pg-navbar'}, // Main menu
-        'bindMainMenuUpDown': {'shortcuts': ['up', 'down']}, // Main menu
+        'bindSubMenuClose': {'shortcuts': ['esc','enter']},
         'bindLeftTree': {'shortcuts': this.keyboardShortcut.left_tree_shortcut}, // Main menu,
         'bindSubMenuQueryTool': {'shortcuts': this.keyboardShortcut.sub_menu_query_tool}, // Sub menu - Open Query Tool,
         'bindSubMenuViewData': {'shortcuts': this.keyboardShortcut.sub_menu_view_data}, // Sub menu - Open View Data,
@@ -58,9 +57,37 @@ _.extend(pgBrowser.keyboardNavigation, {
     _.each(self.shortcutMethods, (keyCombo, callback) => {
       self._bindWithMousetrap(keyCombo.shortcuts, self[callback], keyCombo.bindElem);
     });
+
+
+    /* Dropdown submenu was not working properly for up/down arrow keys.
+     * So up/down/right/left events for dropdown were removed from Mousetrap and were
+     * handled manually.
+     */
+    const LEFT_KEY = 37,
+      UP_KEY = 38,
+      RIGHT_KEY = 39,
+      DOWN_KEY = 40;
+
+    $('.pg-navbar').on('keydown', (event)=> {
+      switch(event.keyCode) {
+      case LEFT_KEY:
+        self.bindMainMenuLeft(event);
+        break;
+      case UP_KEY:
+        self.bindMainMenuUpDown(event, 'up');
+        break;
+      case RIGHT_KEY:
+        self.bindMainMenuRight(event);
+        break;
+      case DOWN_KEY:
+        self.bindMainMenuUpDown(event, 'down');
+        break;
+      }
+    });
   },
   _bindWithMousetrap: function(shortcuts, callback, bindElem) {
     const self = this;
+    Mousetrap.unbind(shortcuts);
     if (bindElem) {
       const elem = document.querySelector(bindElem);
       Mousetrap(elem).bind(shortcuts, function() {
@@ -72,6 +99,15 @@ _.extend(pgBrowser.keyboardNavigation, {
       });
     }
   },
+  unbindShortcuts: function() {
+    // Reset previous events on each instance
+    const self = this;
+    _.each(self.mousetrapInstances, (obj) => {
+      obj['instance'].reset();
+    });
+    // Clear already processed events
+    self.mousetrapInstances = [];
+  },
   bindMainMenu: function(event, combo) {
     const shortcut_obj = this.keyboardShortcut;
     if (combo === shortcut_obj.file_shortcut) $('#mnu_file a.dropdown-toggle').dropdown('toggle');
@@ -106,48 +142,85 @@ _.extend(pgBrowser.keyboardNavigation, {
     }, 1000);
   },
   bindMainMenuLeft: function(event) {
-    let prevMenu;
-    if ($(event.target).hasClass('menu-link')) { // Menu items
-      prevMenu = $(event.target).parent().parent().parent().prev('.dropdown');
-    }
-    else if ($(event.target).parent().hasClass('dropdown-submenu')) { // Sub menu
-      $(event.target).parent().toggleClass('open');
-      return;
-    }
-    else { //Menu headers
-      prevMenu = $(event.target).parent().prev('.dropdown');
-    }
+    if ($(event.target).hasClass('nav-link')) { // Menu items
+      let currNavMenu = $(event.target).closest('.nav-item');
+      keyboardFunc._stopEventPropagation(event);
 
-    if (prevMenu.hasClass('hide')) prevMenu = prevMenu.prev('.dropdown'); // Skip hidden menus
+      currNavMenu = currNavMenu.prev('.nav-item');
+      // Skip hidden menus
+      while(currNavMenu.hasClass('d-none')) {
+        currNavMenu = currNavMenu.prev('.nav-item');
+      }
+
+      currNavMenu.find('.dropdown-toggle').first().dropdown('toggle');
 
-    prevMenu.find('a:first').dropdown('toggle');
+    } else if($(event.target).closest('.dropdown-menu').length > 0) {
+      let currLi = $(event.target).closest('li');
+      keyboardFunc._stopEventPropagation(event);
+      /*close submenu*/
+      let currMenu = currLi.closest('.dropdown-menu');
+      if(currMenu.closest('.dropdown-submenu').length > 0) {
+        currMenu.removeClass('show');
+        currLi = currMenu.closest('.dropdown-submenu');
+        currLi.find('.dropdown-item').trigger('focus');
+      }
+    }
   },
   bindMainMenuRight: function(event) {
-    let nextMenu;
-    if ($(event.target).hasClass('menu-link')) { // Menu items
-      nextMenu = $(event.target).parent().parent().parent().next('.dropdown');
-    }
-    else if ($(event.target).parent().hasClass('dropdown-submenu')) { // Sub menu
-      $(event.target).parent().toggleClass('open');
-      return;
-    }
-    else { //Menu headers
-      nextMenu = $(event.target).parent().next('.dropdown');
-    }
+    if ($(event.target).hasClass('nav-link')) { // Menu items
+      let currNavMenu = $(event.target).closest('.nav-item');
+      keyboardFunc._stopEventPropagation(event);
 
-    if (nextMenu.hasClass('hide')) nextMenu = nextMenu.next('.dropdown'); // Skip hidden menus
+      currNavMenu = currNavMenu.next('.nav-item');
+      // Skip hidden menus
+      while(currNavMenu.hasClass('d-none')) {
+        currNavMenu = currNavMenu.next('.nav-item');
+      }
+
+      currNavMenu.find('.dropdown-toggle').first().dropdown('toggle');
+    } else if($(event.target).closest('.dropdown-menu').length > 0) {
+      let currLi = $(event.target).closest('li');
+      keyboardFunc._stopEventPropagation(event);
 
-    nextMenu.find('a:first').dropdown('toggle');
+      /*open submenu if any*/
+      if(currLi.hasClass('dropdown-submenu')){
+        currLi.find('.dropdown-menu').addClass('show');
+        currLi = currLi.find('.dropdown-menu .dropdown-item').first().trigger('focus');
+      }
+    }
   },
   bindMainMenuUpDown: function(event, combo) {
     // Handle Sub-menus
-    if (combo === 'up' && $(event.target).parent().prev().prev('.dropdown-submenu').length > 0) {
-      $(event.target).parent().prev().prev('.dropdown-submenu').find('a:first').trigger('focus');
-    } else {
-      if ($(event.target).parent().hasClass('dropdown-submenu')) {
-        $(event.target).parent().parent().parent().find('a:first').dropdown('toggle');
-        $(event.target).parent().parent().children().eq(2).find('a:first').trigger('focus');
+    if($(event.target).closest('.dropdown-menu').length > 0) {
+      keyboardFunc._stopEventPropagation(event);
+      let currLi = $(event.target).closest('li');
+      /*close all the submenus on movement*/
+      $(event.target).closest('.dropdown-menu').find('.show').removeClass('show');
+
+      if(combo === 'up') {
+        currLi = currLi.prev();
       }
+      else if(combo === 'down'){
+        currLi = currLi.next();
+      }
+
+      /*do not focus on divider and disabled */
+      while(currLi.hasClass('dropdown-divider')
+        || currLi.find('.dropdown-item').first().hasClass('disabled')) {
+        if(combo === 'up') {
+          currLi = currLi.prev();
+        }
+        else if(combo === 'down'){
+          currLi = currLi.next();
+        }
+      }
+      currLi.find('.dropdown-item').trigger('focus');
+    }
+  },
+  bindSubMenuClose: function() {
+    if($(event.target).hasClass('dropdown-item')
+        && $(event.target).closest('.dropdown-submenu').length > 0) {
+      $(event.target).closest('.dropdown').find('.dropdown-submenu .dropdown-menu').removeClass('show');
     }
   },
   bindLeftTree: function() {
diff --git a/web/pgadmin/browser/static/js/menu.js b/web/pgadmin/browser/static/js/menu.js
index 45520c65..df56305f 100644
--- a/web/pgadmin/browser/static/js/menu.js
+++ b/web/pgadmin/browser/static/js/menu.js
@@ -55,7 +55,7 @@ define([
         module: this.module || pgAdmin.Browser,
         cb: this.callback,
         data: this.data,
-      }).addClass('menu-link');
+      }).addClass('dropdown-item');
 
       this.is_disabled = this.disabled(node, item);
       if (this.icon) {
@@ -64,53 +64,14 @@ define([
         }));
       }
 
+      url.addClass((this.is_disabled ? ' disabled' : ''));
+
       var textSpan = $('<span data-test="menu-item-text"></span>').text('  ' + this.label);
 
       url.append(textSpan);
 
-      this.$el = $('<li/>')
-        .addClass('menu-item' + (this.is_disabled ? ' disabled' : ''))
-        .append(url);
-
-      this.applyStyle();
-    },
-
-    applyDisabledStyle: function() {
-      var span = this.$el.find('span');
-      var icon = this.$el.find('i');
-
-
-      span.addClass('text-gray');
-      span.removeClass('text-fg-inverse');
-      icon.addClass('text-gray');
-      icon.removeClass('text-fg-inverse');
+      this.$el = $('<li/>').append(url);
     },
-
-    applyEnabledStyle: function() {
-      var element = this.$el;
-      var span = this.$el.find('span');
-
-      span.addClass('text-fg-inverse');
-      span.removeClass('text-gray');
-      element.find('i').addClass('text-fg-inverse');
-      element.find('i').removeClass('text-gray');
-
-      span.on('mouseover',() => {
-        element.addClass('bg-gray-dark');
-      });
-      span.on('mouseout',() => {
-        element.removeClass('bg-gray-dark');
-      });
-    },
-
-    applyStyle: function() {
-      if (this.is_disabled) {
-        this.applyDisabledStyle();
-      } else {
-        this.applyEnabledStyle();
-      }
-    },
-
     /*
      * Updates the enable/disable state of the menu-item based on the current
      * selection using the disabled function. This also creates a object
@@ -118,17 +79,13 @@ define([
      */
     update: function(node, item) {
 
-      if (this.$el && !this.$el.hasClass('disabled')) {
-        this.$el.addClass('disabled');
+      if (this.$el && !this.$el.find('.dropdown-item').hasClass('disabled')) {
+        this.$el.find('.dropdown-item').addClass('disabled');
       }
 
       this.is_disabled = this.disabled(node, item);
       if (this.$el && !this.is_disabled) {
-        this.$el.removeClass('disabled');
-      }
-
-      if (this.$el) {
-        this.applyStyle();
+        this.$el.find('.dropdown-item').removeClass('disabled');
       }
 
       this.context = {
@@ -208,16 +165,16 @@ define([
 
   pgAdmin.Browser.MenuGroup = function(opts, items, prev, ctx) {
     var template = _.template([
-        '<% if (above) { %><hr><% } %>',
-        '<li class="menu-item dropdown dropdown-submenu">',
-        ' <a href="#" class="dropdown-toggle" data-toggle="dropdown">',
+        '<% if (above) { %><li class="dropdown-divider"></li><% } %>',
+        '<li class="dropdown-submenu">',
+        ' <a href="#" class="dropdown-item">',
         '  <% if (icon) { %><i class="<%= icon %>"></i><% } %>',
-        '  <span><%= label %></span>',
+        '  <span class="text-white"><%= label %></span>',
         ' </a>',
-        ' <ul class="dropdown-menu navbar-inverse">',
+        ' <ul class="dropdown-menu bg-dark">',
         ' </ul>',
         '</li>',
-        '<% if (below) { %><hr><% } %>',
+        '<% if (below) { %><li class="dropdown-divider"></li><% } %>',
       ].join('\n')),
       data = {
         'label': opts.label,
@@ -393,7 +350,7 @@ define([
   Menu.DEFAULTS = {};
 
   Menu.prototype.toggle = function(ev) {
-    var $parent = this.$element.closest('.menu-item');
+    var $parent = this.$element.closest('.dropdown-item');
     if ($parent.hasClass('disabled')) {
       ev.preventDefault();
       return false;
@@ -446,8 +403,8 @@ define([
   $(document)
     .on('click.pg.menu.data-api', '[data-toggle^="pg-menu"]', function(ev) {
       var $menu = $(ev.target);
-      if (!$menu.hasClass('menu-link'))
-        $menu = $menu.closest('.menu-link');
+      if (!$menu.hasClass('dropdown-item'))
+        $menu = $menu.closest('.dropdown-item');
       Plugin.call($menu, 'toggle', ev);
     })
     .on(
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 223fcb77..a7f43974 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -983,7 +983,7 @@ define('pgadmin.browser.node', [
         j = panel.$container.find('.obj_properties').first(),
         view = j.data('obj-view'),
         content = $('<div tabindex="1"></div>')
-        .addClass('pg-prop-content col-xs-12');
+        .addClass('pg-prop-content col-12');
 
       // Handle key press events for Cancel, save and help button
       var handleKeyDown = function(event, context) {
diff --git a/web/pgadmin/browser/static/js/wizard.js b/web/pgadmin/browser/static/js/wizard.js
index 68579b59..953b370a 100644
--- a/web/pgadmin/browser/static/js/wizard.js
+++ b/web/pgadmin/browser/static/js/wizard.js
@@ -101,7 +101,7 @@ define([
       '          <div class="wizard-progress-bar"><% if (show_progress_bar) { %>' +
       '            <p class="alert alert-info col-sm-12"><%= show_progress_bar %></p><% } %>' +
       '          </div>' +
-      '          <div class="wizard-right-panel_content col-xs-12">' +
+      '          <div class="wizard-right-panel_content col-12">' +
       '          </div>' +
       '        </div>' +
       '      </div>' +
